package com.megabras.bluelogg.MDXXKVR;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.megabras.bluelogg.R;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;


public class MainFragment extends Fragment
{
    @SuppressWarnings("unused")
    private final String
            TAG = "MainScreen";

    public int
            layoutID = R.layout.md15kvr_fgr_main;

    LinearLayout
            ui_lb_pass,
            ui_lb_fail;

    TextView
            ui_lb_realtime_test_number,
            ui_lb_mode,
            ui_lb_voltage,
            ui_lb_max_voltage,
            ui_lb_lim,
            ui_lb_timer,
            ui_lb_svt,
            ui_lb_realtime_resistance,
            ui_lb_realtime_elapsed,
            ui_lb_realtime_voltage,
            ui_lb_realtime_current,
            ui_lb_result_dai,
            ui_lb_result_pi,
            ui_lb_result_capacitance,
            ui_lb_result_svt,
            ui_lb_result_dd;

    @Override
    public View onCreateView( @NonNull LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState )
    {
        Context context = inflater.getContext();
        View view = inflater.inflate( layoutID, container, false );
        view.setBackgroundColor( context.getResources().getColor( R.color.transparent ) );
        return view;
    }

    @Override
    public void onStart()
    {
        super.onStart();
        if ( this.getView() == null )
            return;
        ui_lb_pass = this.getView().findViewById( R.id.result_pass );
        ui_lb_fail = this.getView().findViewById( R.id.result_fail );
        ui_lb_realtime_test_number = this.getView().findViewById( R.id.lb_test_number );
        ui_lb_mode = this.getView().findViewById( R.id.lb_mode );
        ui_lb_voltage = this.getView().findViewById( R.id.lb_defined_voltage );
        ui_lb_max_voltage = this.getView().findViewById( R.id.lb_defined_max_voltage );
        ui_lb_lim = this.getView().findViewById( R.id.lb_lim );
        ui_lb_timer = this.getView().findViewById( R.id.lb_timer );
        ui_lb_svt = this.getView().findViewById( R.id.lb_svt );
        ui_lb_realtime_resistance = this.getView().findViewById( R.id.lb_resistance );
        ui_lb_realtime_elapsed = this.getView().findViewById( R.id.lb_time_elapsed );
        ui_lb_realtime_voltage = this.getView().findViewById( R.id.lb_voltage );
        ui_lb_realtime_current = this.getView().findViewById( R.id.lb_current );
        ui_lb_result_dai = this.getView().findViewById( R.id.lb_result_dai );
        ui_lb_result_pi = this.getView().findViewById( R.id.lb_result_pi );
        ui_lb_result_capacitance = this.getView().findViewById( R.id.lb_result_capacitance );
        ui_lb_result_dd = this.getView().findViewById( R.id.lb_result_dd );
        ui_lb_result_svt = this.getView().findViewById( R.id.lb_result_svt );
        ui_lb_pass.setVisibility( View.INVISIBLE );
        ui_lb_fail.setVisibility( View.GONE );
        //ui_lb_result_dd.setVisibility( View.GONE );
    }

//    @SuppressLint("SetTextI18n")
//    public void updateParameters( Device device )
//    {
//        tvResultDD.setVisibility( device.fwHasDD() ? View.VISIBLE : View.GONE );
//
//        String[] modes = context.getResources().getStringArray(R.array.op_modes);
//
//        if ( device.getMode() < 0 || device.getMode() > modes.length )
//            return;
//
//        def_mode.setText( modes[device.getMode()] );
//
//        def_voltage.setVisibility( ( device.MODE_MANUAL == device.getMode() || device.MODE_TIMER == device.getMode() ) ? View.VISIBLE : View.GONE  );
//        def_voltage.setText( device.getConfVoltsAsString() );
//
//        def_timer.setVisibility( ( device.MODE_TIMER == device.getMode() || device.MODE_RAMP == device.getMode() ) ? View.VISIBLE : View.GONE  );
//        def_svt.setVisibility( device.getMode() == device.MODE_SVT ? View.VISIBLE : View.GONE );
//
//        if ( device.MODE_MANUAL == device.getMode() && device.getParamManual() != null  )
//        {
//            def_max_voltage.setText( device.getParamManual().getMaxVoltsAsString() );
//            def_limite.setText( device.getParamManual().getLim() > 0 ? device.getParamManual().getLimAsString() : "- - -" );
//        }
//        else if ( device.MODE_TIMER == device.getMode() && device.getParamTimer() != null  )
//        {
//            def_max_voltage.setText( device.getParamTimer().getMaxVoltsAsString() );
//            def_limite.setText( device.getParamTimer().getLim() > 0 ? device.getParamTimer().getLimAsString() : "- - -" );
//            def_timer.setText( device.getParamTimer().getTimeAsString() );
//        }
//        else if ( device.MODE_SVT == device.getMode() && device.getParamSVT() != null  )
//        {
//            def_max_voltage.setText( device.getParamSVT().getFinalVoltsAsString() );
//            def_limite.setText( device.getParamSVT().getLim() > 0 ? device.getParamSVT().getLimAsString() : "- - -" );
//            def_svt.setText( device.getParamSVT().getStepVoltsAsString() + " @ " + device.getParamSVT().getStepTimeAsString()  );
//        }
//        else if ( device.MODE_RAMP == device.getMode() && device.getParamRamp() != null  )
//        {
//            def_max_voltage.setText( device.getParamRamp().getFinalVoltsAsString() );
//            def_limite.setText( device.getParamRamp().getLim() > 0 ? device.getParamRamp().getLimAsString() : "- - -" );
//            def_timer.setText( device.getParamRamp().getTimeAsString() );
//        }
//    }
}

