package com.megabras.bluelogg.tm25r;

import android.content.DialogInterface;

import com.megabras.modbus.TM25R.Device;

import java.io.File;
import java.util.Date;

public interface DialogsInterface {
    void deletedFile(String name);
    void loadedFile(String name);
    void closeFile();
    void savedFile(String siteName, String objectName, String operatorName);
    void objectSelected();
    void playAudio(File file, String testNumber);
    void newObjectName(String name);
    void pictureShow(File file, final DialogInterface.OnDismissListener onDismissListener);
    void export(String siteName);
    void updateDevice(Device device);
    void eraseMemory();
}
