package com.megabras.bluelogg.extended;

import android.graphics.Color;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;

public class Util
{
    public static void enableButton(Button btn, boolean enable)
    {
        int color = enable ? Color.WHITE : Color.DKGRAY;
        btn.setEnabled(enable);
        btn.setTextColor(color);
    }

    public static void enableButton(ImageButton btn, boolean enable)
    {
        float alpha = enable ? (float) 1.0 : (float) 0.2;
        btn.setEnabled(enable);
        btn.setAlpha(alpha);
    }

    public static void enableButton(ImageButton btn, boolean enable, boolean hide)
    {
        float alpha = enable ? (float) 1.0 : (float) 0.2;
        int visibility = hide ? View.VISIBLE : View.GONE;
        btn.setVisibility(visibility);
        btn.setEnabled(enable);
        btn.setAlpha(alpha);
    }
}
