package com.megabras.bluelogg.tm25r;

public class ListSites {
	private String url; 
    private String sitename;
    private String filedate; 
    
    
    public ListSites() { }
    
    
    public ListSites(String url) {
        this.url = url;        
    }

    
    public String getUrl() {
        return url;
    }
    
    public String getSiteName() {
    	this.sitename = parseFileNameTestsite(url);
        return sitename;
    }
    
    
    public String getFileDate() {
    	this.filedate = parseFileNameDate(url);
        return filedate;
    }
    
    
	public String parseFileNameDate(String name){
		String date = name.substring(name.length() - 15);
		
		date = date.replace("_", "");
		date = date.replace("-", "");
		String YY = date.substring(0, 4);
		String MM = date.substring(4, 6);
		String DD = date.substring(6, 8);
		String hh = date.substring(8, 10);
		String mm = date.substring(10, 12);
		//date = DD + "/" + MM + "/" + YY + " " + hh + ":" + mm;
		date = YY + "-" + MM + "-" + DD;
		return date;
	}
	
	
	public String parseFileNameTestsite(String name){
		String sitename = name.substring(0,name.length() - 15);
		sitename = sitename.replace("_", " ");		
		return sitename;
	}
    

    
}
